## gcc-snapshot 20210110

=== debian/changelog ===
gcc-snapshot (1:20210110-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20210110).
  * Configure with --enable-link-serialization=1 on ppc64el.
  * Disable the lto build on s390x, PR ada/98228.
  * Build the gcn offload compiler based on amdgcn-tools (based on LLVM 9),
    remove the conflict with gcc-10-offload-amdgcn.
  * Limit lto links on sparc64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Jan 2021 17:38:26 +0100

=== debian/control ===
Source: gcc-snapshot
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k], g++-10:native, netbase, 
  libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-11-alpha-linux-gnu [alpha] <cross>, gobjc-11-alpha-linux-gnu [alpha] <cross>, gfortran-11-alpha-linux-gnu [alpha] <cross>, gdc-11-alpha-linux-gnu [alpha] <cross>, gccgo-11-alpha-linux-gnu [alpha] <cross>, gnat-11-alpha-linux-gnu [alpha] <cross>, gm2-11-alpha-linux-gnu [alpha] <cross>, g++-11-x86-64-linux-gnu [amd64] <cross>, gobjc-11-x86-64-linux-gnu [amd64] <cross>, gfortran-11-x86-64-linux-gnu [amd64] <cross>, gdc-11-x86-64-linux-gnu [amd64] <cross>, gccgo-11-x86-64-linux-gnu [amd64] <cross>, gnat-11-x86-64-linux-gnu [amd64] <cross>, gm2-11-x86-64-linux-gnu [amd64] <cross>, g++-11-arm-linux-gnueabi [armel] <cross>, gobjc-11-arm-linux-gnueabi [armel] <cross>, gfortran-11-arm-linux-gnueabi [armel] <cross>, gdc-11-arm-linux-gnueabi [armel] <cross>, gccgo-11-arm-linux-gnueabi [armel] <cross>, gnat-11-arm-linux-gnueabi [armel] <cross>, gm2-11-arm-linux-gnueabi [armel] <cross>, g++-11-arm-linux-gnueabihf [armhf] <cross>, gobjc-11-arm-linux-gnueabihf [armhf] <cross>, gfortran-11-arm-linux-gnueabihf [armhf] <cross>, gdc-11-arm-linux-gnueabihf [armhf] <cross>, gccgo-11-arm-linux-gnueabihf [armhf] <cross>, gnat-11-arm-linux-gnueabihf [armhf] <cross>, gm2-11-arm-linux-gnueabihf [armhf] <cross>, g++-11-aarch64-linux-gnu [arm64] <cross>, gobjc-11-aarch64-linux-gnu [arm64] <cross>, gfortran-11-aarch64-linux-gnu [arm64] <cross>, gdc-11-aarch64-linux-gnu [arm64] <cross>, gccgo-11-aarch64-linux-gnu [arm64] <cross>, gnat-11-aarch64-linux-gnu [arm64] <cross>, gm2-11-aarch64-linux-gnu [arm64] <cross>, g++-11-i686-linux-gnu [i386] <cross>, gobjc-11-i686-linux-gnu [i386] <cross>, gfortran-11-i686-linux-gnu [i386] <cross>, gdc-11-i686-linux-gnu [i386] <cross>, gccgo-11-i686-linux-gnu [i386] <cross>, gnat-11-i686-linux-gnu [i386] <cross>, gm2-11-i686-linux-gnu [i386] <cross>, g++-11-mipsel-linux-gnu [mipsel] <cross>, gobjc-11-mipsel-linux-gnu [mipsel] <cross>, gfortran-11-mipsel-linux-gnu [mipsel] <cross>, gdc-11-mipsel-linux-gnu [mipsel] <cross>, gccgo-11-mipsel-linux-gnu [mipsel] <cross>, gnat-11-mipsel-linux-gnu [mipsel] <cross>, gm2-11-mipsel-linux-gnu [mipsel] <cross>, g++-11-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-11-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-11-mips64-linux-gnuabi64 [mips64] <cross>, gdc-11-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-11-mips64-linux-gnuabi64 [mips64] <cross>, gnat-11-mips64-linux-gnuabi64 [mips64] <cross>, gm2-11-mips64-linux-gnuabi64 [mips64] <cross>, g++-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-11-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-11-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-11-powerpc-linux-gnu [powerpc] <cross>, gobjc-11-powerpc-linux-gnu [powerpc] <cross>, gfortran-11-powerpc-linux-gnu [powerpc] <cross>, gdc-11-powerpc-linux-gnu [powerpc] <cross>, gccgo-11-powerpc-linux-gnu [powerpc] <cross>, gnat-11-powerpc-linux-gnu [powerpc] <cross>, g++-11-powerpc64-linux-gnu [ppc64] <cross>, gobjc-11-powerpc64-linux-gnu [ppc64] <cross>, gfortran-11-powerpc64-linux-gnu [ppc64] <cross>, gdc-11-powerpc64-linux-gnu [ppc64] <cross>, gccgo-11-powerpc64-linux-gnu [ppc64] <cross>, gnat-11-powerpc64-linux-gnu [ppc64] <cross>, g++-11-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-11-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-11-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-11-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-11-powerpc64le-linux-gnu [ppc64el] <cross>, g++-11-m68k-linux-gnu [m68k] <cross>, gobjc-11-m68k-linux-gnu [m68k] <cross>, gfortran-11-m68k-linux-gnu [m68k] <cross>, gdc-11-m68k-linux-gnu [m68k] <cross>, gm2-11-m68k-linux-gnu [m68k] <cross>, g++-11-riscv64-linux-gnu [riscv64] <cross>, gobjc-11-riscv64-linux-gnu [riscv64] <cross>, gfortran-11-riscv64-linux-gnu [riscv64] <cross>, gdc-11-riscv64-linux-gnu [riscv64] <cross>, gccgo-11-riscv64-linux-gnu [riscv64] <cross>, gnat-11-riscv64-linux-gnu [riscv64] <cross>, gm2-11-riscv64-linux-gnu [riscv64] <cross>, g++-11-sh4-linux-gnu [sh4] <cross>, gobjc-11-sh4-linux-gnu [sh4] <cross>, gfortran-11-sh4-linux-gnu [sh4] <cross>, gnat-11-sh4-linux-gnu [sh4] <cross>, g++-11-sparc64-linux-gnu [sparc64] <cross>, gobjc-11-sparc64-linux-gnu [sparc64] <cross>, gfortran-11-sparc64-linux-gnu [sparc64] <cross>, gdc-11-sparc64-linux-gnu [sparc64] <cross>, gccgo-11-sparc64-linux-gnu [sparc64] <cross>, gnat-11-sparc64-linux-gnu [sparc64] <cross>, gm2-11-sparc64-linux-gnu [sparc64] <cross>, g++-11-s390x-linux-gnu [s390x] <cross>, gobjc-11-s390x-linux-gnu [s390x] <cross>, gfortran-11-s390x-linux-gnu [s390x] <cross>, gdc-11-s390x-linux-gnu [s390x] <cross>, gccgo-11-s390x-linux-gnu [s390x] <cross>, gnat-11-s390x-linux-gnu [s390x] <cross>, gm2-11-s390x-linux-gnu [s390x] <cross>, g++-11-x86-64-linux-gnux32 [x32] <cross>, gobjc-11-x86-64-linux-gnux32 [x32] <cross>, gfortran-11-x86-64-linux-gnux32 [x32] <cross>, gdc-11-x86-64-linux-gnux32 [x32] <cross>, gccgo-11-x86-64-linux-gnux32 [x32] <cross>, gnat-11-x86-64-linux-gnux32 [x32] <cross>, gm2-11-x86-64-linux-gnux32 [x32] <cross>, g++-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-snapshot
Architecture: any
Section: devel
Priority: optional
Depends: binutils (>= ${binutils:Version}),
  ${dep:libcbiarchdev}, ${dep:libcdev}, ${dep:libunwinddev}, python3, 
  ${snap:depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${snap:recommends}
Suggests: ${dep:gold}
Provides: c++-compiler, c++abi2-dev
Description: SNAPSHOT of the GNU Compiler Collection
 This package contains a recent development SNAPSHOT of all files
 contained in the GNU Compiler Collection (GCC).
 .

## gcc-snapshot 20210114

=== debian/changelog ===
gcc-snapshot (1:20210114-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20210114).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jan 2021 16:55:43 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   m4, libtool, autoconf, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
   gawk, lzma, xz-utils, patchutils, 
-  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
+  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], python3:any, python3-psutil, python3-matplotlib, 
   binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
@@ -39,5 +39,3 @@
 Provides: c++-compiler, c++abi2-dev
 Description: SNAPSHOT of the GNU Compiler Collection
  This package contains a recent development SNAPSHOT of all files
- contained in the GNU Compiler Collection (GCC).
- .

## gcc-snapshot 20210115

=== debian/changelog ===
gcc-snapshot (1:20210115-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20210115).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jan 2021 17:48:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   m4, libtool, autoconf, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
   gawk, lzma, xz-utils, patchutils, 
-  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], python3:any, python3-psutil, python3-matplotlib, 
+  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], python3:any, python3-psutil [!i386], python3-matplotlib [!i386], 
   binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64],

## gcc-snapshot 20210225

=== debian/changelog ===
gcc-snapshot (1:20210225-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20210225).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 11:17:53 +0100

gcc-snapshot (1:20210225-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20210225).

 -- Matthias Klose <doko@debian.org>  Thu, 25 Feb 2021 08:28:44 +0100

gcc-snapshot (1:20210204-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20210204).
  * Try again to build gnat on alpha.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Feb 2021 08:10:55 +0100

gcc-snapshot (1:20210116-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20210116).
  * Build the gcn offload compiler based on amdgcn-tools (based on LLVM 9),
    remove the conflict with gcc-10-offload-amdgcn.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Jan 2021 13:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
   libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
   kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
-  m4, libtool, autoconf, 
+  m4, libtool, autoconf2.69, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
   gawk, lzma, xz-utils, patchutils, 
   libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], python3:any, python3-psutil [!i386], python3-matplotlib [!i386],

## gcc-snapshot 20210420

=== debian/changelog ===
gcc-snapshot (1:20210420-1ubuntu1) hirsute; urgency=medium

  * GCC 11 release candidate, taken from the gcc-11 branch (20210420).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Apr 2021 12:19:34 +0200

gcc-snapshot (1:20210420-1) unstable; urgency=medium

  * Snapshot, taken from the gcc-11 branch (20210420).

 -- Matthias Klose <doko@debian.org>  Tue, 20 Apr 2021 10:58:41 +0200

gcc-snapshot (1:20210320-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20210320).

 -- Matthias Klose <doko@debian.org>  Sat, 20 Mar 2021 14:38:36 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
-  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k], g++-10:native, netbase, 
+  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k !alpha !hurd-alpha], g++-10:native, netbase, 
   libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
   pkg-config, libgc-dev,

## gcc-snapshot 20210421

=== debian/changelog ===
gcc-snapshot (1:20210421-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the gcc-11 branch (20210421).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2021 06:09:17 +0200

gcc-snapshot (1:20210421-1) unstable; urgency=medium

  * Snapshot, taken from the gcc-11 branch (20210421).

 -- Matthias Klose <doko@debian.org>  Wed, 21 Apr 2021 06:03:49 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
   procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k !alpha !hurd-alpha], g++-10:native, netbase, 
-  libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
+  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
   pkg-config, libgc-dev, 
    g++-11-alpha-linux-gnu [alpha] <cross>, gobjc-11-alpha-linux-gnu [alpha] <cross>, gfortran-11-alpha-linux-gnu [alpha] <cross>, gdc-11-alpha-linux-gnu [alpha] <cross>, gccgo-11-alpha-linux-gnu [alpha] <cross>, gnat-11-alpha-linux-gnu [alpha] <cross>, gm2-11-alpha-linux-gnu [alpha] <cross>, g++-11-x86-64-linux-gnu [amd64] <cross>, gobjc-11-x86-64-linux-gnu [amd64] <cross>, gfortran-11-x86-64-linux-gnu [amd64] <cross>, gdc-11-x86-64-linux-gnu [amd64] <cross>, gccgo-11-x86-64-linux-gnu [amd64] <cross>, gnat-11-x86-64-linux-gnu [amd64] <cross>, gm2-11-x86-64-linux-gnu [amd64] <cross>, g++-11-arm-linux-gnueabi [armel] <cross>, gobjc-11-arm-linux-gnueabi [armel] <cross>, gfortran-11-arm-linux-gnueabi [armel] <cross>, gdc-11-arm-linux-gnueabi [armel] <cross>, gccgo-11-arm-linux-gnueabi [armel] <cross>, gnat-11-arm-linux-gnueabi [armel] <cross>, gm2-11-arm-linux-gnueabi [armel] <cross>, g++-11-arm-linux-gnueabihf [armhf] <cross>, gobjc-11-arm-linux-gnueabihf [armhf] <cross>, gfortran-11-arm-linux-gnueabihf [armhf] <cross>, gdc-11-arm-linux-gnueabihf [armhf] <cross>, gccgo-11-arm-linux-gnueabihf [armhf] <cross>, gnat-11-arm-linux-gnueabihf [armhf] <cross>, gm2-11-arm-linux-gnueabihf [armhf] <cross>, g++-11-aarch64-linux-gnu [arm64] <cross>, gobjc-11-aarch64-linux-gnu [arm64] <cross>, gfortran-11-aarch64-linux-gnu [arm64] <cross>, gdc-11-aarch64-linux-gnu [arm64] <cross>, gccgo-11-aarch64-linux-gnu [arm64] <cross>, gnat-11-aarch64-linux-gnu [arm64] <cross>, gm2-11-aarch64-linux-gnu [arm64] <cross>, g++-11-i686-linux-gnu [i386] <cross>, gobjc-11-i686-linux-gnu [i386] <cross>, gfortran-11-i686-linux-gnu [i386] <cross>, gdc-11-i686-linux-gnu [i386] <cross>, gccgo-11-i686-linux-gnu [i386] <cross>, gnat-11-i686-linux-gnu [i386] <cross>, gm2-11-i686-linux-gnu [i386] <cross>, g++-11-mipsel-linux-gnu [mipsel] <cross>, gobjc-11-mipsel-linux-gnu [mipsel] <cross>, gfortran-11-mipsel-linux-gnu [mipsel] <cross>, gdc-11-mipsel-linux-gnu [mipsel] <cross>, gccgo-11-mipsel-linux-gnu [mipsel] <cross>, gnat-11-mipsel-linux-gnu [mipsel] <cross>, gm2-11-mipsel-linux-gnu [mipsel] <cross>, g++-11-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-11-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-11-mips64-linux-gnuabi64 [mips64] <cross>, gdc-11-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-11-mips64-linux-gnuabi64 [mips64] <cross>, gnat-11-mips64-linux-gnuabi64 [mips64] <cross>, gm2-11-mips64-linux-gnuabi64 [mips64] <cross>, g++-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-11-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-11-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-11-powerpc-linux-gnu [powerpc] <cross>, gobjc-11-powerpc-linux-gnu [powerpc] <cross>, gfortran-11-powerpc-linux-gnu [powerpc] <cross>, gdc-11-powerpc-linux-gnu [powerpc] <cross>, gccgo-11-powerpc-linux-gnu [powerpc] <cross>, gnat-11-powerpc-linux-gnu [powerpc] <cross>, g++-11-powerpc64-linux-gnu [ppc64] <cross>, gobjc-11-powerpc64-linux-gnu [ppc64] <cross>, gfortran-11-powerpc64-linux-gnu [ppc64] <cross>, gdc-11-powerpc64-linux-gnu [ppc64] <cross>, gccgo-11-powerpc64-linux-gnu [ppc64] <cross>, gnat-11-powerpc64-linux-gnu [ppc64] <cross>, g++-11-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-11-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-11-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-11-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-11-powerpc64le-linux-gnu [ppc64el] <cross>, g++-11-m68k-linux-gnu [m68k] <cross>, gobjc-11-m68k-linux-gnu [m68k] <cross>, gfortran-11-m68k-linux-gnu [m68k] <cross>, gdc-11-m68k-linux-gnu [m68k] <cross>, gm2-11-m68k-linux-gnu [m68k] <cross>, g++-11-riscv64-linux-gnu [riscv64] <cross>, gobjc-11-riscv64-linux-gnu [riscv64] <cross>, gfortran-11-riscv64-linux-gnu [riscv64] <cross>, gdc-11-riscv64-linux-gnu [riscv64] <cross>, gccgo-11-riscv64-linux-gnu [riscv64] <cross>, gnat-11-riscv64-linux-gnu [riscv64] <cross>, gm2-11-riscv64-linux-gnu [riscv64] <cross>, g++-11-sh4-linux-gnu [sh4] <cross>, gobjc-11-sh4-linux-gnu [sh4] <cross>, gfortran-11-sh4-linux-gnu [sh4] <cross>, gnat-11-sh4-linux-gnu [sh4] <cross>, g++-11-sparc64-linux-gnu [sparc64] <cross>, gobjc-11-sparc64-linux-gnu [sparc64] <cross>, gfortran-11-sparc64-linux-gnu [sparc64] <cross>, gdc-11-sparc64-linux-gnu [sparc64] <cross>, gccgo-11-sparc64-linux-gnu [sparc64] <cross>, gnat-11-sparc64-linux-gnu [sparc64] <cross>, gm2-11-sparc64-linux-gnu [sparc64] <cross>, g++-11-s390x-linux-gnu [s390x] <cross>, gobjc-11-s390x-linux-gnu [s390x] <cross>, gfortran-11-s390x-linux-gnu [s390x] <cross>, gdc-11-s390x-linux-gnu [s390x] <cross>, gccgo-11-s390x-linux-gnu [s390x] <cross>, gnat-11-s390x-linux-gnu [s390x] <cross>, gm2-11-s390x-linux-gnu [s390x] <cross>, g++-11-x86-64-linux-gnux32 [x32] <cross>, gobjc-11-x86-64-linux-gnux32 [x32] <cross>, gfortran-11-x86-64-linux-gnux32 [x32] <cross>, gdc-11-x86-64-linux-gnux32 [x32] <cross>, gccgo-11-x86-64-linux-gnux32 [x32] <cross>, gnat-11-x86-64-linux-gnux32 [x32] <cross>, gm2-11-x86-64-linux-gnux32 [x32] <cross>, g++-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
@@ -38,4 +38,3 @@
 Suggests: ${dep:gold}
 Provides: c++-compiler, c++abi2-dev
 Description: SNAPSHOT of the GNU Compiler Collection
- This package contains a recent development SNAPSHOT of all files

## gcc-snapshot 20210426

=== debian/changelog ===
gcc-snapshot (1:20210426-0ubuntu1) impish; urgency=medium

  * Snapshot, taken from the trunk (20210426).
  * Stop building ARM sf/hf multilibs.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Apr 2021 13:47:48 +0200

=== debian/control ===
Source: gcc-snapshot
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf2.69, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k !alpha !hurd-alpha], g++-10:native, netbase, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-12-alpha-linux-gnu [alpha] <cross>, gobjc-12-alpha-linux-gnu [alpha] <cross>, gfortran-12-alpha-linux-gnu [alpha] <cross>, gdc-12-alpha-linux-gnu [alpha] <cross>, gccgo-12-alpha-linux-gnu [alpha] <cross>, gnat-12-alpha-linux-gnu [alpha] <cross>, gm2-12-alpha-linux-gnu [alpha] <cross>, g++-12-x86-64-linux-gnu [amd64] <cross>, gobjc-12-x86-64-linux-gnu [amd64] <cross>, gfortran-12-x86-64-linux-gnu [amd64] <cross>, gdc-12-x86-64-linux-gnu [amd64] <cross>, gccgo-12-x86-64-linux-gnu [amd64] <cross>, gnat-12-x86-64-linux-gnu [amd64] <cross>, gm2-12-x86-64-linux-gnu [amd64] <cross>, g++-12-arm-linux-gnueabi [armel] <cross>, gobjc-12-arm-linux-gnueabi [armel] <cross>, gfortran-12-arm-linux-gnueabi [armel] <cross>, gdc-12-arm-linux-gnueabi [armel] <cross>, gccgo-12-arm-linux-gnueabi [armel] <cross>, gnat-12-arm-linux-gnueabi [armel] <cross>, gm2-12-arm-linux-gnueabi [armel] <cross>, g++-12-arm-linux-gnueabihf [armhf] <cross>, gobjc-12-arm-linux-gnueabihf [armhf] <cross>, gfortran-12-arm-linux-gnueabihf [armhf] <cross>, gdc-12-arm-linux-gnueabihf [armhf] <cross>, gccgo-12-arm-linux-gnueabihf [armhf] <cross>, gnat-12-arm-linux-gnueabihf [armhf] <cross>, gm2-12-arm-linux-gnueabihf [armhf] <cross>, g++-12-aarch64-linux-gnu [arm64] <cross>, gobjc-12-aarch64-linux-gnu [arm64] <cross>, gfortran-12-aarch64-linux-gnu [arm64] <cross>, gdc-12-aarch64-linux-gnu [arm64] <cross>, gccgo-12-aarch64-linux-gnu [arm64] <cross>, gnat-12-aarch64-linux-gnu [arm64] <cross>, gm2-12-aarch64-linux-gnu [arm64] <cross>, g++-12-i686-linux-gnu [i386] <cross>, gobjc-12-i686-linux-gnu [i386] <cross>, gfortran-12-i686-linux-gnu [i386] <cross>, gdc-12-i686-linux-gnu [i386] <cross>, gccgo-12-i686-linux-gnu [i386] <cross>, gnat-12-i686-linux-gnu [i386] <cross>, gm2-12-i686-linux-gnu [i386] <cross>, g++-12-mipsel-linux-gnu [mipsel] <cross>, gobjc-12-mipsel-linux-gnu [mipsel] <cross>, gfortran-12-mipsel-linux-gnu [mipsel] <cross>, gdc-12-mipsel-linux-gnu [mipsel] <cross>, gccgo-12-mipsel-linux-gnu [mipsel] <cross>, gnat-12-mipsel-linux-gnu [mipsel] <cross>, gm2-12-mipsel-linux-gnu [mipsel] <cross>, g++-12-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-12-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-12-mips64-linux-gnuabi64 [mips64] <cross>, gdc-12-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-12-mips64-linux-gnuabi64 [mips64] <cross>, gnat-12-mips64-linux-gnuabi64 [mips64] <cross>, gm2-12-mips64-linux-gnuabi64 [mips64] <cross>, g++-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-12-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-12-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-12-powerpc-linux-gnu [powerpc] <cross>, gobjc-12-powerpc-linux-gnu [powerpc] <cross>, gfortran-12-powerpc-linux-gnu [powerpc] <cross>, gdc-12-powerpc-linux-gnu [powerpc] <cross>, gccgo-12-powerpc-linux-gnu [powerpc] <cross>, gnat-12-powerpc-linux-gnu [powerpc] <cross>, g++-12-powerpc64-linux-gnu [ppc64] <cross>, gobjc-12-powerpc64-linux-gnu [ppc64] <cross>, gfortran-12-powerpc64-linux-gnu [ppc64] <cross>, gdc-12-powerpc64-linux-gnu [ppc64] <cross>, gccgo-12-powerpc64-linux-gnu [ppc64] <cross>, gnat-12-powerpc64-linux-gnu [ppc64] <cross>, g++-12-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-12-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-12-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-12-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-12-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-12-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-12-powerpc64le-linux-gnu [ppc64el] <cross>, g++-12-m68k-linux-gnu [m68k] <cross>, gobjc-12-m68k-linux-gnu [m68k] <cross>, gfortran-12-m68k-linux-gnu [m68k] <cross>, gdc-12-m68k-linux-gnu [m68k] <cross>, gm2-12-m68k-linux-gnu [m68k] <cross>, g++-12-riscv64-linux-gnu [riscv64] <cross>, gobjc-12-riscv64-linux-gnu [riscv64] <cross>, gfortran-12-riscv64-linux-gnu [riscv64] <cross>, gdc-12-riscv64-linux-gnu [riscv64] <cross>, gccgo-12-riscv64-linux-gnu [riscv64] <cross>, gnat-12-riscv64-linux-gnu [riscv64] <cross>, gm2-12-riscv64-linux-gnu [riscv64] <cross>, g++-12-sh4-linux-gnu [sh4] <cross>, gobjc-12-sh4-linux-gnu [sh4] <cross>, gfortran-12-sh4-linux-gnu [sh4] <cross>, gnat-12-sh4-linux-gnu [sh4] <cross>, g++-12-sparc64-linux-gnu [sparc64] <cross>, gobjc-12-sparc64-linux-gnu [sparc64] <cross>, gfortran-12-sparc64-linux-gnu [sparc64] <cross>, gdc-12-sparc64-linux-gnu [sparc64] <cross>, gccgo-12-sparc64-linux-gnu [sparc64] <cross>, gnat-12-sparc64-linux-gnu [sparc64] <cross>, gm2-12-sparc64-linux-gnu [sparc64] <cross>, g++-12-s390x-linux-gnu [s390x] <cross>, gobjc-12-s390x-linux-gnu [s390x] <cross>, gfortran-12-s390x-linux-gnu [s390x] <cross>, gdc-12-s390x-linux-gnu [s390x] <cross>, gccgo-12-s390x-linux-gnu [s390x] <cross>, gnat-12-s390x-linux-gnu [s390x] <cross>, gm2-12-s390x-linux-gnu [s390x] <cross>, g++-12-x86-64-linux-gnux32 [x32] <cross>, gobjc-12-x86-64-linux-gnux32 [x32] <cross>, gfortran-12-x86-64-linux-gnux32 [x32] <cross>, gdc-12-x86-64-linux-gnux32 [x32] <cross>, gccgo-12-x86-64-linux-gnux32 [x32] <cross>, gnat-12-x86-64-linux-gnux32 [x32] <cross>, gm2-12-x86-64-linux-gnux32 [x32] <cross>, g++-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-snapshot
Architecture: any
Section: devel
Priority: optional
Depends: binutils (>= ${binutils:Version}),
  ${dep:libcbiarchdev}, ${dep:libcdev}, ${dep:libunwinddev}, python3, 
  ${snap:depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${snap:recommends}
Suggests: ${dep:gold}
Provides: c++-compiler, c++abi2-dev
Description: SNAPSHOT of the GNU Compiler Collection
 This package contains a recent development SNAPSHOT of all files
 contained in the GNU Compiler Collection (GCC).
 .
 The source code for this package has been exported from SVN trunk.
 .

## gcc-snapshot 20210504

=== debian/changelog ===
gcc-snapshot (1:20210504-0ubuntu1) impish; urgency=medium

  * Snapshot, taken from the trunk (20210504).
  * Don't run some tests from the guality test suite on armhf. These fail
    on every target, but seem to hang on the buildds occasionally on armhf.
  * Configure with --enable-offload-defaulted.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 May 2021 05:57:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
-  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
+  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
   kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
   m4, libtool, autoconf2.69, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
@@ -43,3 +43,5 @@
  .
  The source code for this package has been exported from SVN trunk.
  .
+ DO NOT USE THIS SNAPSHOT FOR BUILDING DEBIAN PACKAGES!
+ .

## gcc-snapshot 20210505

=== gcc/m2/examples/iso/hello/Makefile ===


all: force
	gm2 -g -c -fiso hello.mod
	gm2 -g -fiso hello.mod

clean: force
	$(RM) a.out hello.o *~

force:

=== debian/changelog ===
gcc-snapshot (1:20210505-0ubuntu1) impish; urgency=medium

  * Snapshot, taken from the trunk (20210504).
  * Don't run some tests from the guality test suite on armhf. These fail
    on every target, but seem to hang on the buildds occasionally on armhf.
  * Configure with --enable-offload-defaulted.
  * Don't build the gcn offload compiler for now, see PR target/100418.
  * Don't run the testsuite on armhf for now, gdb timeouts, LP #1926934.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 May 2021 07:51:08 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
   binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
-  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
+  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
   texinfo (>= 4.3), locales-all, sharutils, 
   procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k !alpha !hurd-alpha], g++-10:native, netbase, 
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>,

## gcc-snapshot 20210508

=== debian/changelog ===
gcc-snapshot (1:20210508-1ubuntu1) impish; urgency=medium

  * Snapshot, taken from the trunk (20210508).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 May 2021 11:10:39 +0200

gcc-snapshot (1:20210508-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20210508).
  * Configure with --enable-offload-defaulted.
  * Stop building ARM sf/hf multilibs.

 -- Matthias Klose <doko@debian.org>  Sat, 08 May 2021 09:10:50 +0200
